mapent_t Struct Reference
linebreak

`#include <sombok.h>`

## Data Fields

unichar_t | beg
unichar_t | end
propval_t | lbc
propval_t | eaw
propval_t | gcb
propval_t | scr

## Detailed Description

Property map entry

## Field Documentation

## beg

unichar_t mapent_t::beg

Beginning of UCS range.

## eaw

propval_t mapent_t::eaw

UAX #11 East_Asian_Width property value.

## end

unichar_t mapent_t::end

End of UCS range.

## gcb

propval_t mapent_t::gcb

UAX #29 Grapheme_Cluster_Break property value.

## lbc

propval_t mapent_t::lbc

UAX #14 line breaking class.

## scr

propval_t mapent_t::scr

Script property value.

The documentation for this struct was generated from the following file:

- include/sombok.h